#ifndef MODEL_H
#define MODEL_H

#include <QEventLoop>
#include <QDebug>

class Model : public QObject
{
    Q_OBJECT
public:
    explicit Model(QObject *parent = nullptr) : QObject(parent) {}

    template<typename TSignal>
    void waitingFor(TSignal&& signal)
    {
        connect(this, signal, [](){ qDebug() << "Signal emitted"; });
    }

signals:
    void someSignal();
};

#endif // MODEL_H
